Bug 240751 - kernel dm io: panic on large request
kernel dm io: panic on large request
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
high Severity high
: ---
: ---
Assigned To: Milan Broz
Martin Jenner
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-21 09:32 EDT by Milan Broz
Modified: 2013-02-28 23:05 EST (History)
7 users (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:49:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2007-05-21 09:32:35 EDT
Kernel will panic when creating ~6TB mirror because bio_alloc_bioset() will
return NULL if 'num_vecs' is too large.

Patch upstream
http://www.kernel.org/pub/linux/kernel/people/agk/patches/2.6/editing/dm-io-fix-panic-on-large-request.patch


BUG: unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
d08fa6aa
*pde = 00000000
Oops: 0002 [#1]
SMP
last sysfs file: /block/ram0/dev
Modules linked in: autofs4 hidp nfs lockd fscache nfs_acl rfcomm l2cap bluetooth
sunrpc ipv6 video sbs i2c_ec button battery asus_acpi ac lp floppy sg pcspkr
pcnet32 i2c_piix4 i2c_core mii serio_raw ide_cd cdrom parport_pc parport
dm_snapshot dm_zero dm_mirror dm_mod mptspi mptscsih mptbase scsi_transport_spi
sd_mod scsi_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
CPU:    0
EIP:    0060:[<d08fa6aa>]    Not tainted VLI
EFLAGS: 00010246   (2.6.18-8.1.4.el5 #1)
EIP is at dispatch_io+0xa2/0x175 [dm_mod]
eax: 00000000   ebx: 00000e02   ecx: cd9a338c   edx: 00000000
esi: 00000000   edi: 00000000   ebp: 00000e02   esp: c96b1d2c
ds: 007b   es: 007b   ss: 0068
Process lvcreate (pid: 3821, ti=c96b1000 task=ca2ecaa0 task.ti=c96b1000)
Stack: cd9a338c 00000001 00000010 00000000 d08fa589 d08fa556 00000000 d0b04000
       cfb64840 d08383a0 00000246 00000000 00000001 cd9a338c 00000001 d08fa943
       c96b1da0 c96b1d78 00000001 00000000 00000001 ca2ecaa0 c04718f5 c1255e00
Call Trace:
 [<d08fa589>] vm_get_page+0x0/0x2a [dm_mod]
 [<d08fa556>] vm_next_page+0x0/0x17 [dm_mod]
 [<d08fa943>] sync_io+0x76/0xe1 [dm_mod]
 [<c04718f5>] bdev_test+0x0/0xc
 [<d08fa9d8>] dm_io_sync_vm+0x2a/0x32 [dm_mod]
 [<d08fa589>] vm_get_page+0x0/0x2a [dm_mod]
 [<d08fa556>] vm_next_page+0x0/0x17 [dm_mod]
 [<d083197e>] disk_resume+0x35/0x1df [dm_mirror]
 [<d0831e01>] mirror_resume+0x14/0x3d [dm_mirror]
 [<d08f7983>] dm_table_resume_targets+0x4d/0x5f [dm_mod]
 [<d08f7103>] dm_resume+0x49/0xd2 [dm_mod]
 [<d08f9bfb>] dev_suspend+0x133/0x152 [dm_mod]
 [<d08fa374>] ctl_ioctl+0x1f3/0x238 [dm_mod]
 [<d08f9ac8>] dev_suspend+0x0/0x152 [dm_mod]
 [<c0479d47>] do_ioctl+0x47/0x5d
 [<c0479fa7>] vfs_ioctl+0x24a/0x25c
 [<c047a001>] sys_ioctl+0x48/0x5f
 [<c0403eff>] syscall_call+0x7/0xb
 =======================
Code: 0d 20 3c 90 d0 89 d8 0f ac f0 03 8d 50 02 b8 10 00 00 00 e8 41 48 b7 ef 8b
0c 24 89 c7 8b 41 0c 03 41 04 8b 51 10 13 51 08 29 d8 <89> 07 19 f2 89 57 04 8b
01 c7 47 34 87 a8 8f d0 89 47 0c 8b 44
EIP: [<d08fa6aa>] dispatch_io+0xa2/0x175 [dm_mod] SS:ESP 0068:c96b1d2c
 <0>Kernel panic - not syncing: Fatal exception
Comment 2 RHEL Product and Program Management 2007-05-21 10:06:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 RHEL Product and Program Management 2007-05-23 08:01:45 EDT
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.
Comment 5 Don Zickus 2007-06-12 14:46:28 EDT
in 2.6.18-24.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 John Poelstra 2007-08-24 01:18:21 EDT
A fix for this issue should have been included in the packages contained in the
most recent snapshot (partners.redhat.com) for RHEL5.1.  

Requested action: Please verify that your issue is fixed as soon as possible to
ensure that it is included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

More assistance: If you cannot access bugzilla, please reply with a message to
Issue Tracker and I will change the status for you.  If you need assistance
accessing ftp://partners.redhat.com, please contact your Partner Manager.
Comment 8 John Poelstra 2007-08-30 20:26:31 EDT
A fix for this issue should have been included in the packages contained in the
RHEL5.1-Snapshot4 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed *as soon as possible*
to ensure that it is included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 9 John Poelstra 2007-09-11 15:23:18 EDT
A fix for this issue should have been included in the packages contained in the
RHEL5.1-Snapshot6 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed ASAP to confirm that it
will be included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 10 John Poelstra 2007-09-20 00:48:05 EDT
A fix for this issue should have been included in the packages contained in the
RHEL5.1-Snapshot7 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed ASAP to confirm that it
will be included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 11 John Poelstra 2007-09-26 19:45:28 EDT
A fix for this issue should be included in the packages contained in
RHEL5.1-Snapshot8--available now on partners.redhat.com.  

IMPORTANT: This is the last opportunity to confirm that your issue is fixed in
the RHEL5.1 update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 13 errata-xmlrpc 2007-11-07 14:49:46 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.